Home | Software Map | Motif Forums | Bug Home sponsored by ICS 
Bugzilla Bug
  1395
     Query page      Enter new bug
Bug#:1395 Platform: Version:
Product: OS: Reporter:bernhard.walle@gmx.de
Status: CLOSED Priority: Cc:
Resolution: FIXED Severity: Component:
Assigned To: openmotif-devel@motifzone.net Target Milestone:
URL:
Summary:
Attachments: 11/16/07 08:20Screenshot
02/13/08 08:26Picture of XmToggleButton with wrong colors in a menu.
02/13/08 08:27Another picture of XmToggleButton with wrong colors in a menu.
02/19/08 13:35Proposed patch
04/22/08 10:33Proposed patch
Create a new attachment (proposed patch, testcase, etc.)
Bug 1395 depends on: Show dependency tree
Show dependency graph
Bug 1395 blocks:
Votes for bug 1395:    Vote for this bug

Additional Comments:


Leave as CLOSED FIXED
Reopen bug

View Bug Activity Format For Printing
Description: Opened: 2007-11-16 08:20

When using submenus, the label foreground is wrong when

     *enableEtchedInMenu: True

is set. A small screenshot should illustrate this.


------- Additional Comments From bernhard.walle@gmx.de 2007-11-16 08:20 -------
Created an attachment (id=150)
Screenshot


------- Additional Comments From Vitaly Torshyn 2007-12-05 03:03 -------
It happens with PushButton,CascadeButton when use these widgets(Gadgets) in the
menu and 
*enableEtchedInMenu: True 
is set; in state XmSET, the ToggleButton label not correctly filled too. In
checked state colors was properly changed for widget, but for Label redrawing
used old colors (same as inactive foreground).


------- Additional Comments From arahne@arahne.si 2008-02-13 08:25 -------
This has been fixed in CVS (as of 12.Feb.2008) for most widgets.
But for XmToggleButton, it became much worse, it displays completely wrong
colors once you pass over it in a menu.
Will attach some screenshots.


------- Additional Comments From arahne@arahne.si 2008-02-13 08:26 -------
Created an attachment (id=160)
Picture of XmToggleButton with wrong colors in a menu.


------- Additional Comments From arahne@arahne.si 2008-02-13 08:27 -------
Created an attachment (id=161)
Another picture of XmToggleButton with wrong colors in a menu.


------- Additional Comments From Yura Syrota 2008-02-19 13:35 -------
Created an attachment (id=163)
Proposed patch


------- Additional Comments From Yura Syrota 2008-02-19 13:35 -------
Fixed with the proposed patch


------- Additional Comments From S. Umar 2008-02-20 12:10 -------
Yura, this is not working for me for nedit. I am using latest 2.3.1 cvs.
When I have "nedit*enableEtchedInMenu: True" the Preferences menu shows
the same ugly colors when scrolling down. If I change True to False then
it is ok. What do you think? Thanks


------- Additional Comments From Ihor Hayvuk 2008-04-22 10:33 -------
Created an attachment (id=169)
Proposed patch


------- Additional Comments From Ihor Hayvuk 2008-04-22 10:34 -------
Fixed with the proposed patch in CVS HEAD and openmotif_2_3 branches

     Query page      Enter new bug
This is Mr. Samsa: the Open Motif bug system using Bugzilla. For more information about what Bugzilla is and what it can do, see mozilla.org's bug pages.
New | Query | bug # | Reports | New account | Log in